<?
include_once(_DIR_EXT.'/HTML/c_page_XML_AJAX.php') ;
class c_page_ajax extends c_page_XML_AJAX
{
   function event_quiz_delete_theme()
   {
       $rec_event=EVENTS()->get_event_by_id($_POST['event_id']) ;
       $arr_themes_ids=$rec_event['_ext_info']['themes_ids'] ;
       $indx=array_search($_POST['theme_id'],$arr_themes_ids) ;
       if ($indx!==false) unset($arr_themes_ids[$indx]) ;
       EVENTS()->save_events($rec_event['pkey'],array('themes_ids'=>$arr_themes_ids)) ;
       $this->go_url=$_SERVER['HTTP_REFERER'] ; // update_page нельзя так как повторно отправляется форма
       //$this->add_element('show_modal_window','HTML',array('title'=>'Приглашение на собрание')) ;
       }



}
